package com.openrules.jdbc;

/*
 * Copyright (C) 2007 OpenRules, Inc.
 * 
 * Created on April-May, 2007 by IK
 * 
 */

import java.sql.DriverManager;
import java.sql.SQLException;

import com.openrules.dao.DAOException;

public class StatementFactoryDerbyEmbedded extends StatementFactoryImpl {

	@Override
	public void dispose() {
		try {
			DriverManager.getConnection("jdbc:derby:;shutdown=true");
		} catch (SQLException se) {
			//OK
			return;
		}
		throw new DAOException("Database did not shut down normally");
	}
}
