package com.openrules.dbv.test;

import java.io.IOException;
import java.io.InputStream;

import junit.framework.TestCase;

import com.openrules.datasource.DataSourceFactory;
import com.openrules.datasource.IDataSource;
import com.openrules.dbv.DbvDataSourceHandler;

public class DbvDataSourceTest extends TestCase {

	public void testDataSource() throws IOException {
		DbvDataSourceHandler h = new DbvDataSourceHandler();
		DataSourceFactory factory = new DataSourceFactory();
		factory.register("repo", h );
		IDataSource ds = factory.fromString("repo://rulesInMemory:1/insurance/policy/Driver.xls");
		InputStream is =ds.getInputStream();
		if ( is != null )
			is.close();
	}
}
