<%@ page import="com.openrules.forms.gui.jsp.*" %>
<%@ page import="com.openrules.forms.*" %>
<%@ page import="com.openrules.ruleengine.*" %>

<%! 
    volatile OpenRulesEngine engine = null; // The "volatile" ensures that multiple threads handle the singleton instance correctly (starting from JDK 1.5)
%>

<%
   String xlsMain = "file:./webapps/MyForms/rules/main/HelloWeb.xls";  
   String s_attr = "openrulesSession";	
   OpenRulesSession openrulesSession = (OpenRulesSession) session.getAttribute(s_attr);
   if (openrulesSession == null )
   {
     engine = (OpenRulesEngine) application.getAttribute("OpenRulesEngine");
     OpenRulesEngine sessionEngine = engine; // this local variable seems unnecessary, but for some JVMs, it makes the code faster
     if (sessionEngine == null) {
		synchronized(this) {
        	sessionEngine = engine;
        	if (sessionEngine == null) {
        		openrulesSession = new OpenRulesSession(xlsMain); // create a new engine
        		System.out.println("NEW ENGINE");
            	engine = openrulesSession.getOpenRulesEngine();
            	application.setAttribute("OpenRulesEngine",engine);
        	}
		}
     }
     else {
     	openrulesSession = new OpenRulesSession(engine); // reuse previously created "engine"
     }
     session.setAttribute( s_attr, openrulesSession);
     Dialog dialog = openrulesSession.getDialog();
     System.out.println("NEW SESSION");
   }
%>   

<HTML>
	<HEAD><TITLE>OpenRules</TITLE></HEAD>
	<body>
	  <%
	    Dialog dialog = openrulesSession.getDialog();
	    System.out.println("************* PROCESS REQUEST for " + dialog.getName());
   		openrulesSession.processRequest(session, request, out);
	  %>
	</body>
</HTML>


