package com.openrules.jsr94.rules;

import javax.rules.RuleRuntime;
import javax.rules.RuleServiceProvider;
import javax.rules.admin.RuleAdministrator;

import com.openrules.jsr94.rules.admin.RuleAdministratorImpl;

public class RuleServiceProviderImpl extends RuleServiceProvider {
	private RuleRuntime ruleRuntime;

	private RuleAdministrator ruleAdministrator;

	public synchronized RuleRuntime getRuleRuntime() {
		if (ruleRuntime == null) {
			ruleRuntime = new RuleRuntimeImpl();
		}
		return ruleRuntime;
	}

	public synchronized RuleAdministrator getRuleAdministrator() {
		if (ruleAdministrator == null) {
			ruleAdministrator = new RuleAdministratorImpl();
		}
		return ruleAdministrator;
	}
}