@echo off
set CLASS_NAME=com.openrules.ruleengine.DecisionBuilder
rem if a decision model is going to be imported you need to set ADDITIONAL_GOALS=true
set CLASSES=./bin
if [%GOAL_NAME%] == [] set GOAL_NAME=%GOAL%
if [%MODEL_FILE%] == [] set MODEL_FILE="%INPUT_FILE_NAME%"
rem if [%GOAL_FILE%] == [] set GOAL_FILE=rules/Goals/xls
if [%GOAL_FILE%] == [] set GOAL_FILE="%OUTPUT_FILE_NAME%"
if [%ADDITIONAL_GOALS%] == [] set ADDITIONAL_GOALS=true
set OR=../openrules.config/lib
set ORLIB=%OR%/openrules.all.jar;%OR%/com.openrules.tools.jar
set POILIB=%OR%/poi-3.10-FINAL-20140208.jar;%OR%/poi-ooxml-3.10-FINAL-20140208.jar;%OR%/poi-ooxml-schemas-3.10-FINAL-20140208.jar;%OR%/xmlbeans-2.3.0.jar;%OR%/dom4j-1.6.1.jar
set APACHELIB=%OR%/commons-logging-1.1.jar;%OR%/commons-logging-api-1.1.jar;%OR%/log4j-1.2.15.jar;%OR%/commons-lang-2.3.jar;%OR%/commons-beanutils.jar
set ALL=%CLASSES%;%APACHELIB%;%ORLIB%;%POILIB%
java -Xmx512m -classpath "%ALL%" %CLASS_NAME% "file:%MODEL_FILE%" %GOAL_NAME% "%GOAL_FILE%" "%ADDITIONAL_GOALS%"
echo The decision model has been built