/*
 * Copyright (c) 2005-2006 OpenRules, Inc.
 */
package com.openrules.forms.gui.impl;

import com.openrules.forms.IFormsSession;
import com.openrules.forms.gui.IAttributeList;
import com.openrules.forms.gui.IDataModelAdaptor;
import com.openrules.forms.gui.IGUIComponent;

public abstract class AGUIComponent implements IGUIComponent
{
	
	IAttributeList attributes;

	public IDataModelAdaptor getDataModelAdaptor()
	{
		return null;
	}

	/**
	 * @return
	 */
	public IAttributeList getAttributes()
	{
		return attributes;
	}

	/**
	 * @param getMap
	 */
	public void setAttributes(IAttributeList attrs)
	{
		attributes = attrs;
	}
	
	public synchronized void setAttribute(String key, String value)
	{
		if (attributes == null)
		  attributes = new AttributeList();
		
		attributes.put(key, value);
	}

	/**
	 *
	 */

	public IGUIComponent buildComponent(IFormsSession session, Object[] params)
	{
		return this;
	}

}
