/*
 * Copyright (c) 2005 OpenRules, Inc.
 */
package com.openrules.forms.gui.impl;

import com.openrules.forms.IApplicationModel;
import com.openrules.forms.IFormsRequest;
import com.openrules.forms.IFormsSession;
import com.openrules.forms.IView;
import com.openrules.forms.impl.ApplicationModel;

/**
 * 7/19/05: JF removed methods inherited from ApplicationModel
 */
public class ValidatingDialogApplicationModel extends ApplicationModel
{


	public ValidatingDialogApplicationModel(IApplicationModel baseModel)
	{
		this.baseModel = baseModel;
	}

  IApplicationModel baseModel; 


	IView lastView = null;
	
	
	

	/**
	 *
	 */

	public IView updateView(IFormsRequest request, IFormsSession session, Object[] businessObjects)
	{
		return baseModel.updateView(request, session,businessObjects);
	}

	/**
	 *
	 */

	public IView validateView(
		IView oldView,
	  IFormsRequest request,
		IFormsSession session)
	{
		if (oldView == null)
		  return null;
		  
//		Map findOldViewMapping(oldView)
    return baseModel.validateView(oldView, request, session);   
	}
	
	
	

	/**
	 *
	 */

	public boolean controlsBodyOnly()
	{
		return baseModel.controlsBodyOnly();
	}

}
