/*
 * Copyright (c) 2005-2009 OpenRules, Inc.
 */
package com.openrules.forms.gui.jsp;

import java.util.Iterator;
import java.util.Vector;

import com.openrules.forms.gui.impl.TableLayout;

public class Page extends DialogComponent {
	
	Vector sections;
	TableLayout  layout;
	
	public Page(Dialog d, String id, String name) {
		super(d, id,name);
		sections = new Vector();
	}
	
	public Vector getSections() {
		return sections;
	}

	public void setSections(Vector sections) {
		this.sections = sections;
	}
	
	public void addSection(Section section) {
		sections.add(section);
	}
	
	public Section getSection(String id) {
		Iterator it = sections.iterator();
		while( it.hasNext() )  {
		      Section section = (Section)it.next();
		      if (section.getId().equals(id))
		    	  return section;
		}
		return null;
	}

	public TableLayout  getLayout() {
		return layout;
	}

	public void setLayout(TableLayout  layout) {
		this.layout = layout;
	}
	
	public void addLayout(TableLayout  sectionLayout) {
	      layout = TableLayout.merge(layout, sectionLayout); 
	}
	

}
