package com.openrules.forms.gui.jsp;

import java.util.Vector;

public class QuestionIterator {
	
	int current;
	Vector questions;
	
	public QuestionIterator(Dialog dialog) {
		current = -1;
		questions = new Vector();
		for (int i = 0; i < dialog.pages.size(); i++) {
			Page page = (Page) dialog.pages.elementAt(i);
			for (int j = 0; j < page.getSections().size(); j++) {
				Section section = (Section) page.getSections().elementAt(j);
				for (int k = 0; k < section.getQuestions().size(); k++) {
					Question question = (Question)section.getQuestions().elementAt(k);
					questions.add(question);
				}
			}
		}
	}
	
	public Question next() {
		current++;
		if (current < questions.size())
			return (Question)questions.get(current);
		else
			return null;		
	}
	
	public boolean hasNext() {
		return (current+1) < questions.size();
	}
}
