package com.openrules.java;

/*
 * Copyright (C) 2006 OpenRules, Inc.
 * 
 */


import java.net.MalformedURLException;

import org.openl.OpenL;
import org.openl.conf.UserContext;
import org.openl.types.IOpenClass;

import com.openrules.datasource.DataSourceCodeModule;
import com.openrules.datasource.DataSourceFactory;
import com.openrules.datasource.IDataSource;

public class OpenRulesLCompiler {

	  public IOpenClass compile(String sourceURL, String langId, String userHome ) throws MalformedURLException   {
		  UserContext ucxt = new UserContext( getClass().getClassLoader(), userHome );
		  IDataSource s = new DataSourceFactory(null, ucxt).fromString( sourceURL );
		  DataSourceCodeModule module = new DataSourceCodeModule( s );
		  
		  OpenL openl = OpenL.getInstance( langId, ucxt );
		  return openl.compileModule( module );
	  }
}
