package com.openrules.ruleengine;

public class DecisionMismatch {
	DecisionTest test;
	String variable;
	Object actualValue;
	Object expectedValue;
	public DecisionTest getTest() {
		return test;
	}
	public void setTest(DecisionTest test) {
		this.test = test;
	}
	public String getVariable() {
		return variable;
	}
	public void setVariable(String variable) {
		this.variable = variable;
	}
	public Object getActualValue() {
		return actualValue;
	}
	public void setActualValue(Object actualValue) {
		this.actualValue = actualValue;
	}
	public Object getExpectedValue() {
		return expectedValue;
	}
	public void setExpectedValue(Object expectedValue) {
		this.expectedValue = expectedValue;
	}
	public DecisionMismatch(DecisionTest test, String variable,
			Object actualValue, Object expectedValue) {
		super();
		this.test = test;
		this.variable = variable;
		this.actualValue = actualValue;
		this.expectedValue = expectedValue;
	}
	@Override
	public String toString() {
		return "DecisionMismatch: test=" + test.getId() + ", variable=" + variable
				+ ", actualValue=" + actualValue + ", expectedValue="
				+ expectedValue;
	}
	
	

}
