package com.openrules.ruleengine;

import com.openrules.dt.IDecisionTable;

public class DecisionVariableModifier {
	
	IDecisionTable 	decisionTable;
	Decision		importedDecision;
	boolean			usedByIterateOrSort;
	
	public DecisionVariableModifier() {
		decisionTable = null;
		importedDecision = null;
		usedByIterateOrSort = false;
	}

	public IDecisionTable getDecisionTable() {
		return decisionTable;
	}

	public void setDecisionTable(IDecisionTable decisionTable) {
		this.decisionTable = decisionTable;
	}

	public Decision getImportedDecision() {
		return importedDecision;
	}

	public void setImportedDecision(Decision importedDecision) {
		this.importedDecision = importedDecision;
	}
	
	public String getName() {
		if (decisionTable != null)
			return decisionTable.getName();
		else
			return importedDecision.getName();
	}

	public boolean isUsedByIterateOrSort() {
		return usedByIterateOrSort;
	}

	public void setUsedByIterateOrSort(boolean usedByIterateOrSort) {
		this.usedByIterateOrSort = usedByIterateOrSort;
	}
	

}
