package com.openrules.ruleengine;

class FileAndMethod {
	
	private String fileName;
	private RuleMethod method;
	
	FileAndMethod(String fileName, RuleMethod method) {
		this.fileName = fileName;
		this.method = method;
	}

	public final String getFileName() {
		return fileName;
	}

	public final void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public final RuleMethod getMethod() {
		return method;
	}

	public final void setMethod(RuleMethod method) {
		this.method = method;
	}
	
	final boolean compare(String fileName, String methodName) {
		return this.fileName.equals(fileName) &&
			   this.method.getName().equals(methodName);
	}

}
