/*
 * Created on Oct 23, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.data;

/**
 * @author snshor
 *
 */
public class DuplicatedTableException extends Exception
{

	IDataTableModel existingTable; 
	IDataTableModel duplicatedTable;

	/**
	 * 
	 */
	public DuplicatedTableException(IDataTableModel existingTable, IDataTableModel duplicatedTable)
	{
		this.existingTable = existingTable;
		this.duplicatedTable = duplicatedTable;
	}

	/**
	 * @return
	 */
	public IDataTableModel getDuplicatedTable()
	{
		return duplicatedTable;
	}

	/**
	 * @return
	 */
	public IDataTableModel getExistingTable()
	{
		return existingTable;
	}

	

	/**
	 *
	 */

	public String getMessage()
	{
		return "The table already exists: " + existingTable.getName();
	}

}
