/*
 * Created on Oct 23, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.data;

import com.openrules.table.ILogicalTable;


/**
 * @author snshor
 *
 */
public interface IColumnDescriptor 
{
	
	String getName();
	
//	IOpenClass getType();
	
	void populateLiteral(Object target, ILogicalTable values)
	  throws Exception;

	void populateLink(Object target, ILogicalTable values, IDataBase db)
	  throws Exception;


	Object getColumnValue(Object target);
	
	IString2DataConvertor getConvertor();

}
