package com.openrules.dt;

import java.util.regex.*;

public class RegexTest {
	
	public static void main(String[] args) {
	
		String input = "REAL(Tax Withheld) + REAL(Earned Income Credit)";

		String pattern = "REAL\\(([^\\)]+)\\)"; 
		String replacement = "decision.getReal(\"$1\"\\)"; 
		Pattern p = Pattern.compile(pattern);
		Matcher m = p.matcher(input);
		if ( m.find() ) {
			System.out.println("Result: " + m.replaceAll( replacement ));
		}
	}
}

