/*
 * Created on Oct 7, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 * Modified: by JF on 4/19/2005
 * added VARIABLE_TABLE
 * Modified by IK on 08/12/2006: add support for imports directly
 * from xls Environment tables
 */
 
package com.openrules.lang.xls;

/**
 * Keywords
 *
 */
public interface IXlsTableNames {
	static final String 
	RULES = "Rules",
	OLD_RULES = "DT",
	RULE_SEQUENCE = "RuleSequence", // Rules are evaluated row by row (previous actions may matter)
	RULES_PROXY = "RulesAlike",
	RULES_EXTERNAL = "ExternalRules", 
	DECISION_TABLE = "DecisionTable",
	DECISION_TABLE_TEMPLATE = "DecisionTableTemplate",
	DECISION_TABLE1 = "DecisionTable1", // Multi-hit decision table 
	DECISION_TABLE1_TEMPLATE = "DecisionTable1Template",
	DECISION_TABLE2 = "DecisionTable2", // Multi-hit decision implemented as RuleSequence
	DECISION_TABLE2_TEMPLATE = "DecisionTable2Template",
	DECISION_IMPORT = "DecisionImport", 
	DECISION_IMPORT_TEMPLATE = "DecisionImportTemplate",
	GLOSSARY = "Glossary",
	GLOSSARY_TEMPLATE = "GlossaryTemplate",
	DECISION = "Decision",
	DECISION_MODEL = "DecisionModel",
	DECISION_TEMPLATE = "DecisionTemplate",
	DECISION_OBJECT = "DecisionObject",
	DECISION_OBJECT_TEMPLATE = "DecisionObjectTemplate",
	PROPERTY_TABLE = "Properties",
	METHOD_TABLE = "Code",
	METHOD_TABLE2 = "Method",
	
	DATA_TABLE = "Data",
	DATATYPE_TABLE = "Datatype",
	VARIABLE_TABLE = "Variable",
	
	DIRECTION_VERTICAL = "Vertical",
	DIRECTION_HORIZONTAL = "Horizontal",
	DIRECTION_UNKNOWN = "Unknown",
	
	LANG_PROPERTY = "language",
	INCLUDE_TABLE = "include",
	IMPORT_JAVA = "import.java",  // IK
	IMPORT_SCHEMA = "import.schema", // IK
	IMPORT_STATIC = "import.static", // IK
	INCLUDE_PATH = "include.path", //IK
	DATASOURCE = "datasource", //IK
	ENVIRONMENT_TABLE = "Environment",
	
	FUNCTIONAL_ROW_MACRO_COLUMN_TITLE = "$COLUMN_TITLE",
	FUNCTIONAL_ROW_MACRO_COLUMN_NUMBER = "$COLUMN_NUMBER",
	FUNCTIONAL_ROW_MACRO_TABLE_TITLE = "$TABLE_TITLE";
	
}
