package com.openrules.lang.xls.binding;

import org.openl.binding.IBindingContext;
import org.openl.binding.IMemberBoundNode;
import org.openl.binding.impl.module.ModuleOpenClass;

public class UnresolvedDependenciesBoundNode implements IMemberBoundNode {
	
	private final IMemberBoundNode node;

	public UnresolvedDependenciesBoundNode(IMemberBoundNode node) {
		this.node = node;
	}
	
	public IMemberBoundNode getNode() {
		return node;
	}

	public void addTo(ModuleOpenClass openClass) {
		throw new IllegalStateException(); //should not happen
	}
	
	public void finalizeBind(IBindingContext cxt) throws Exception {
		throw new IllegalStateException();  //should not happen
	}
}
