/*
 * Copyright, 2009 OpenRules Inc.
 */


package com.openrules.lang.xls.syntax;

import org.openl.IOpenSourceCodeModule;
import org.openl.syntax.impl.TerminalNode;

import com.openrules.lang.xls.IXlsNodeTypes;
import com.openrules.table.external.IRuleTable;

public class ExternalDTSyntaxNode extends TerminalNode {
	private final IRuleTable ruleTable;

	public ExternalDTSyntaxNode(IRuleTable ruleTable,IOpenSourceCodeModule module) {
		super(IXlsNodeTypes.XLS_DT_EXTERNAL, null, module);
		this.ruleTable = ruleTable;
	}

	public IRuleTable getRuleTable() {
		return ruleTable;
	}

}
