/*
 * Created on Jun 16, 2004
 *
 * Developed by OpenRules.com 2003-2004
 */
package com.openrules.lang.xls.syntax;

import org.openl.IOpenSourceCodeModule;
import org.openl.syntax.impl.TerminalNode;
import org.openl.util.text.ILocation;

import com.openrules.table.IGridTable;

/**
 * @author snshor
 */
public class XlsTableSyntaxNode  extends TerminalNode
{

	IGridTable table;
	String header;

	public XlsTableSyntaxNode(
	  String type,
	  ILocation pos,
	  IOpenSourceCodeModule module,
	  IGridTable table, String header)
	{
	  super(type, pos, module);
	  this.table = table;
	  this.header = header;
	}


	/**
	 * @return
	 */
	public String getHeader()
	{
		return header;
	}

	/**
	 * @return
	 */
	public IGridTable getTable()
	{
		return table;
	}

}
