package com.openrules.types;

/*
 * Copyright (C) 2010 OpenRules, Inc.
 */

/**
 * This type is used to represent 2-dimensional arrays of doubles 
 * in OpenRules Data tables
 */

public class MatrixDouble {
	
	String	id;
	double[]	values;
	
	static public double[][] getMatrix(MatrixDouble[] rows) {
		int numberOfColumns = rows[0].values.length;
		double[][] result = new double[rows.length][numberOfColumns];
		for(int i=0; i < rows.length; i++)
			result[i] = rows[i].values;
		return result;
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	
	public double[] getValues() {
		return values;
	}
	public void setValues(double[] values) {
		this.values = values;
	}
	
}
