package com.openrules.types;

/*
 * Copyright (C) 2010 OpenRules, Inc.
 */

/**
 * This type is used to represent 2-dimensional arrays of integers 
 * in OpenRules Data tables - see the Sudoku example
 */

public class MatrixInt {
	
	String	id;
	int[]	values;
	
	static public int[][] getMatrix(MatrixInt[] rows) {
		int numberOfColumns = rows[0].values.length;
		int[][] result = new int[rows.length][numberOfColumns];
		for(int i=0; i < rows.length; i++)
			result[i] = rows[i].values;
		return result;
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	
	public int[] getValues() {
		return values;
	}
	public void setValues(int[] values) {
		this.values = values;
	}
	
	

}
