package com.openrules.data;

import org.apache.commons.beanutils.PropertyUtils;

import java.lang.reflect.InvocationTargetException;

public class PropertySetIndexedExample {
    public static void main(String[] args) {
        String[] colors = new String[] {"red", "green", "blue"};

        MyBean myBean = new MyBean();
        try {
        	//myBean.setColors(colors);
            PropertyUtils.setProperty(myBean, "colors", colors);
        	for (int i = 0; i < colors.length; i++) {
        		System.out.println("Colors[" + i + "]=" + myBean.getColors()[i]);
        		PropertyUtils.setIndexedProperty(myBean, "colors", i, colors[i]);
			}
        	PropertyUtils.setIndexedProperty(myBean, "colors", 1, "orange");
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        } catch (NoSuchMethodException e) {
            e.printStackTrace();
        }

        for (int i = 0; i < colors.length; i++) {
    		System.out.println("Colors[" + i + "]=" + myBean.getColors()[i]);
		}
    }
}
