package com.openrules.datasource;

/**
 * pre-porocess datasource URI, for example, resolving parameters' values
 * 
 * ftp://localhost/rules/${SEASON}/aaa/bbb  => ftp://localhost/WINTER/aaa/bbb
 *
 */
public interface IDataSourcePreprocessor {

	/**
	 * pre-processing URI string
	 * @param input
	 * @return
	 */
	public String process( String input );
	
}
