package com.openrules.datasource;

import java.net.URI;
import java.util.Properties;

public interface IDataSourceProtocolHandler {
	
	/**
	 * build a IDataSource from <code>uri</code> using <code>factory</code>
	 * 
	 * @param uri
	 * @param factory
	 * @return
	 */
	public IDataSource fromURI(URI uri, IDataSourceFactory factory );
	
	public void initialize( Properties options );

}
