/*
 * Created on May 9, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 * 
 * @author snshor
 * Modified by IK on 08/07/2006: added dataSourceFactory
 */
 
package org.openl.types;

import com.openrules.datasource.IDataSourceFactory;

/**
 *	OpenFactory is responsible for the actual creation of the OpenClasses and OpenSchemas
 */


public interface IOpenFactory
{

	/**
	 * Produces a schema according to  uri
	 * @param uri
	 * @param reload if true forces reloading of the schema 
	 * @return
	 */
	
	IOpenSchema getSchema(String uri, boolean reload)
	  throws Exception;

	//IK
	IDataSourceFactory getDataSourceFactory();
	
}
