/*
 * Created on Jul 1, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package org.openl.types.xml;

import org.openl.types.IOpenClass;
import org.openl.vm.IRuntimeEnv;
import org.w3c.dom.Node;

/**
 * @author snshor
 *
 */
public class DOMElementNodeField extends DOMField
{

	IOpenClass nodeType;
    
    
	/**
	 * @param name
	 * @param declaringClass
	 */
	public DOMElementNodeField(
		String name,
		IOpenClass declaringClass,
		IOpenClass nodeType)
	{
		super(name, declaringClass);
		this.nodeType = nodeType;
	}

	/*  (non-Javadoc)
	* @see org.openl.types.IOpenField#get(java.lang.Object)
	*/
	public Object get(Object target, IRuntimeEnv env)
	{
		return DomUtil.findNode(this.name, 0, (Node)target);
	}

	public IOpenClass getType()
	{
		return nodeType;
	}
}

