package org.openl.util;

public interface IReport {
	
	public boolean isOn();
	
	public void open(String path, String decisionName, String decisionRunName);
	
	public void startDecisionTable(String tableName, String type,
			  String[] conditionLabels, String[] conditionDescriptions,
			  String[] actionLabels, String[] actionDescriptions);
	
	public void addRule(String tableName, int ruleNumber);
	
	public void addRuleCondition(String tableName, String value, int conditionNumber);
	
	public void addRuleAction(String tableName, String value, int actionNumber);
	
	public void endDecisionTable(String tableName);
	
	public ReportInMemory getReportInMemory();
	public void setReportInMemory(ReportInMemory reportInMemory);

	public void close();
	
}
