package com.openrules.jdbc;

/*
 * Copyright (C) 2007 OpenRules, Inc.
 * 
 * Created on April-May, 2007 by IK
 * 
 */

import java.sql.ResultSet;
import java.sql.SQLException;

public class RowDigestSingleValue<T> implements RowDigester<T> {
	
	@SuppressWarnings("unchecked")
	public T digest(ResultSet rs) throws SQLException {
		Object tmp = rs.getObject(1);
		if (rs.wasNull())
			return null;
		return (T) tmp;
	}

}
