package com.openrules.jdbc;

/*
 * Copyright (C) 2007 OpenRules, Inc.
 * 
 * Created on April-May, 2007 by IK
 * 
 */

import java.sql.ResultSet;
import java.sql.SQLException;

public class RowDigesterArray implements RowDigester<Object[]> {

	public Object[] digest(ResultSet rs) throws SQLException {
		Object[] tmp = new Object[ rs.getMetaData().getColumnCount() ];
		for ( int i = 0; i < tmp.length; ++i ) {
			tmp[i] = rs.getObject(i+1);
			if (rs.wasNull())
				tmp[i] = null;
			
		}
		return tmp;
	}

}
