package com.openrules.jdbc;

/*
 * Copyright (C) 2007 OpenRules, Inc.
 * 
 * Created on April-May, 2007 by IK
 * 
 */

import java.sql.PreparedStatement;
import java.sql.Statement;
import java.util.Properties;

import com.openrules.dao.DAOException;

public interface StatementFactory {
	
	public void initialize( Properties options );
	public Statement createStatement()  throws DAOException;
	public PreparedStatement prepareStatement( String sql ) throws DAOException;
	public void dispose() throws DAOException;
	
}
