package com.openrules.eclipse.xls.launching;

import org.eclipse.ui.console.IHyperlink;

public class XlsHyperlink extends XlsUrlParser implements IHyperlink {
	private String url;

	
	public XlsHyperlink(String url) {
		this.url = url;
		// deffer url parsing until activation time
	}

	public void linkActivated() {
		// launch wscript
		try {
			parse(url);
			String[] cmdarray = { "wscript", scriptName, wbPath, wbName,
					wsName == null ? "1" : wsName,
					range == null ? "A1" : range, };

			Runtime.getRuntime().exec(cmdarray);

		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}

	public void linkEntered() {
	}

	public void linkExited() {
	}

}
