package com.openrules.jsr94.rules;

/**
 * @author smesh
 */
public class Util {
	
	static public Object newInstance(String className) {
		Object result = null;
		ClassLoader cl = Thread.currentThread().getContextClassLoader();

		if (cl == null) {
			cl = Util.class.getClassLoader();
		}

		try {
			Class c = cl.loadClass(className);
			result = c.newInstance();
		} catch (Exception e) {
			if (e instanceof RuntimeException)
				throw (RuntimeException) e;
			else
				throw new RuntimeException(e);
		}
		return result;
	}

}