/*
 * Copyright (C) 2004-2006 OpenRules, Inc.
 */

package com.openrules.forms.deployment.gen;

import org.openl.OpenL;
import org.openl.conf.IUserContext;
import org.openl.conf.UserContext;
import org.openl.syntax.impl.FileSourceCodeModule;
import org.openl.types.IOpenClass;
import org.openl.util.Log;

import junit.framework.TestCase;

public class CodeGeneratorTest extends TestCase
{

  public void testMakeClass()
  {
    CodeGenerator cg = new CodeGenerator();
    
    String classSrc = "../com.openrules.rules.test/tst/com/openrules/lang/xls/AutoInsurance.xls";
    
    String openlName = "com.openrules.lang.xls";
    
    IUserContext cxt = new UserContext(this.getClass().getClassLoader(), "../com.openrules.rules.test/");
    

    OpenL openl = OpenL.getInstance(openlName, cxt);
    
    IOpenClass ioc = openl.compileModule(new FileSourceCodeModule(classSrc, null));
    
    cg.methods = null;
    cg.fields = null;
    
    Log.info(cg.generateJavaClass(ioc));
    
  }

}
