/*
 * Copyright (c) 2005 OpenRules, Inc.
 */
package com.openrules.forms.gui;


public interface IGUIComponent //extends IGUIComponentBuilder
{
	String getName();
	
	IComponentList getChildren();
	
	IAttributeList getAttributes();

  
  IDataModelAdaptor getDataModelAdaptor();



  /**
   * @param string
   * @param iname
   */
  void setAttribute(String name, String value);

  /**
   * @param string
   * @param iname
   */
  void setAttributes(IAttributeList attributes);



	String getStringValue();


	
//tree-like relationship, better implement next time as semantic concept(parent - child)

// IGUIComponent getParent();
//   IGUIComponent[] getChildren();
	
	
}
