/*
 * Copyright (c) 2005-2006 OpenRules, Inc.
 */
package com.openrules.forms.gui;

/**
 * 
 * 01/13/2006 added TEXTAREA
 * 01/15/2006 added CHECKBOX
 */
public interface IGUIConstants
{

	//GUI component types (the same as HTML tags and attributes)
	
	static final public String
	BR_CT = "br",	 
	  TABLE_CT = "table",
	  ROW_CT = "tr",
	  CELL_CT = "td",
	  INPUT_CT = "input",
	  TEXTAREA_CT = "textarea", // JF
	  PARAGRAPH_CT = "p",
	  COMBOBOX_CT = "select",
	  OPTION_CT = "option",
	  A_CT = "a";

	static final String 
	    COLSPAN_AT = "colspan",
		ROWSPAN_AT = "rowspan",
		NAME_AT = "name",
		VALUE_AT = "value",
		
		ALIGN_AT = "align",

		ALIGN_LEFT_AV = "left",
		ALIGN_RIGHT_AV= "right",
		ALIGN_CENTER_AV = "center",
		
		SELECTED_AT = "selected",
		CHECKED_AT = "checked",
		SELECTED_AV = "selected",

		TYPE_AT = "type",		
		HREF_AT = "href",
		RADIO_AV = "radio",
		CHECKBOX_AV = "checkbox",
		TEXTAREA_AV = "textarea", // JF
		
		//pseudo_attributes
		SUBMIT = "_submit", // JF
		ORIENTATION_PA = "_orientation",
		FORMAT_PA ="_format",
		TYPE_PA="_type",
		ORIENTATION_VERTICAL_PV="vertical",
		ORIENTATION_HORIZONTAL_PV="horizontal",
		ORIENTATION_DEFAULT_PV=ORIENTATION_HORIZONTAL_PV
	  ;


}
