/*
 * Copyright (c) 2005-2006 OpenRules, Inc.
 */
package com.openrules.forms.gui.impl;

import java.util.ArrayList;

import com.openrules.forms.gui.IComponentList;
import com.openrules.forms.gui.IGUIComponent;


public class ComponentList extends ArrayList implements IComponentList
{

	/**
	 * @param i
	 */
	public ComponentList(int i)
	{
		super(i);		
	}


	public ComponentList(){super(3);}
	

	public ComponentList(IComponentList list)
	{
		super(list.getLength());
		int len = list.getLength();
		for (int i = 0; i < len; i++)
		{
			add(list.getComponent(i));
		}
	}
	

	/**
	 *
	 */

	public IGUIComponent getComponent(int i)
	{
		return (IGUIComponent) get(i);
	}

	/**
	 *
	 */

	public int getLength()
	{
		return size();
	}

	
	


	/**
	 *
	 */

	public void addComponent(IGUIComponent gc)
	{
		add(gc);
	}
	
	public static IComponentList merge(IComponentList a1, IComponentList a2)
	{
		if (a1 == null)
		  return a2;
		
		if (a2 == null)
		  return a1;
		  
		ComponentList a = new ComponentList(a1);

		a.addAll(a2);		  
		return a;
		    
	}

		

}
