/*
 * Copyright (c) 2005-2006 OpenRules, Inc.
 */
package com.openrules.forms.impl;

import org.openl.util.StringTool;

import com.openrules.forms.IFormsRequest;
import com.openrules.forms.IFormsSession;
import com.openrules.forms.IView;
import com.openrules.forms.gui.impl.GUIComponent;

/**
 * 7/19/05: JF removed methods inherited from ApplicationModel
 */
public class ErrorApplicationModel extends ApplicationModel
{
	private String message;

	public ErrorApplicationModel(String message)
	{
		this.message = message;
	}
	

	public IView updateView(IFormsRequest request, IFormsSession session)
	{
		View view = new View();

		GUIComponent component = new GUIComponent();
		//		component.setType(IGUIConstants.PARAGRAPH_CT);
		component.setName("h2");

		String[] lines = StringTool.splitLines(message);
		
		StringBuffer buf = new StringBuffer(1000);
		for (int i = 0; i < lines.length; i++)
		{
			buf.append(lines[i]).append("<p>");
		}
		
		component.setDataModelAdaptor(new ValueAdaptor(buf.toString()));

		component.setAttribute("bgcolor", "red");

		view.setTopComponent(component);

		return view;
	}

}
