/*
 * Copyright (c) 2005 OpenRules, Inc.
 */
package com.openrules.forms.xls;

import org.openl.OpenConfigurationException;
import org.openl.OpenL;
import org.openl.util.Log;

import com.openrules.lang.xls.XlsBinder;
import com.openrules.lang.xls.XlsLoader;
import com.openrules.lang.xls.XlsOpenLBuilder;

public class XlsFormsOpenLBuilder extends XlsOpenLBuilder
{

	/**
	 *
	 */

	public OpenL build(String category) throws OpenConfigurationException
	{
		//Log.debug("XlsFormsOpenLBuilder:build("+category+")");
		
		String XLS_LAYOUT = "xls.layout";

		XlsLoader.tableHeaders().put("Layout", XLS_LAYOUT);

		XlsBinder.binderFactory().put(XLS_LAYOUT, new LayoutTableNodeBinder());
		
		return super.build(category);
	}

}
