package com.openrules.ruleengine;

public class ComparableDecisionVariable implements Comparable<ComparableDecisionVariable> {
	
	protected Decision decision;
	protected int score;
	
	public Decision getDecision() {
		return decision;
	}
	public void setDecision(Decision decision) {
		this.decision = decision;
	}

	public int getScore() {
		return score;
	}
	public void setScore(int score) {
		this.score = score;
	}

	public int compareTo(ComparableDecisionVariable variable) {
		String className = getClass().getSimpleName();
		decision.useBusinessObject(className+"1", this);
		decision.useBusinessObject(className+"2", variable);
		decision.execute(decision.compareMethodForSort, decision);
		if(variable.score > this.score)
			return 1;
		else 
			return -1;
	}

}
