package com.openrules.dt;

/*
 * Copyright, 2008 OpenRules, Inc.
 */

import org.openl.types.IOpenClass;
import org.openl.vm.IRuntimeEnv;

/**
 * Defines decision tables evaluation algorithm. 
 * 
 * @author IK
 */

public interface IInvocationStrategy {

	public IOpenClass defineActionReturnType(int action, IDecisionTable dTable);
	
	public Object invoke(Object target, Object[] params, IRuntimeEnv env, IDecisionTable dTable);
	
}
