package com.openrules.dt;

/*
 * Copyright, 2008 OpenRules, Inc.
 */

/**
 * 
 * Static references to IInvocationStrategy implementations  
 *
 * @see DecisionTableMultiHit
 * @see DecisionTableSingleHit
 * 
 * @author IK
 */
		
public class InvocationStrategy {

	public static final IInvocationStrategy MULTI_HIT = new DecisionTableMultiHit();
	public static final IInvocationStrategy SINGLE_HIT = new DecisionTableSingleHit();
	
	public static final String NO_CONDITIONS_SATISFIED = "NO_CONDITIONS_SATISFIED"; // JF
	public static final String SOME_CONDITIONS_SATISFIED = "SOME_CONDITIONS_SATISFIED";

}
