/*
 * Created on Oct 2, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.lang.xls;

import org.openl.OpenConfigurationException;
import org.openl.OpenL;
import org.openl.conf.IConfigurableResourceContext;
import org.openl.conf.IOpenLBuilder;
import org.openl.conf.IUserContext;

/**
 * @author snshor
 *
 */
public class XlsOpenLBuilder implements IOpenLBuilder
{
	public static final String LANG_ID = "com.openrules.lang.xls"; // IK

  /**
   * 
   */
  public XlsOpenLBuilder()
  {
    super();
  }

  /* (non-Javadoc)
   * @see org.openl.conf.IOpenLBuilder#build(java.lang.String)
   */
  public OpenL build(String category) throws OpenConfigurationException
  {
  	OpenL openl = new OpenL();
  	openl.setParser(new XlsParser(ucxt));
  	openl.setBinder(new XlsBinder(ucxt));
  	openl.setVm(new XlsVM());
    return openl;
  }

  IUserContext ucxt;

  /* (non-Javadoc)
   * @see org.openl.conf.IOpenLBuilder#setConfigurableResourceContext(org.openl.conf.IConfigurableResourceContext)
   */
  public void setConfigurableResourceContext(IConfigurableResourceContext cxt, IUserContext ucxt)
  {
  	this.ucxt = ucxt;
  }

}
