package com.openrules.lang.xls.syntax;

/*
 * Copyright (C) 2009 OpenRules, Inc.
 * 
 * Created on Feb-2009 by IK to support external rule tables
 */

import java.io.InputStream;
import java.io.Reader;

import org.openl.IOpenSourceCodeModule;

import com.openrules.table.external.IRuleTable;

public class ExtSourceCodeModule  implements IOpenSourceCodeModule {
	IRuleTable iRuleTable;
	
	public ExtSourceCodeModule( IRuleTable iRuleTable ) {
		this.iRuleTable = iRuleTable;
	}

	public InputStream getByteStream() {
		throw new UnsupportedOperationException();
	}

	public Reader getCharacterStream() {
		throw new UnsupportedOperationException();
	}

	public String getCode() {
		throw new UnsupportedOperationException();
	}

	public int getTabSize() {
		throw new UnsupportedOperationException();
	}

	public String getUri(int textpos) {
		return "external data " + iRuleTable.getTableName();
	}

	public int getStartPosition() {
		return 0;
	}

}
