/*
 * Created on Oct 3, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.lang.xls.syntax;

import org.openl.IOpenSourceCodeModule;
import org.openl.syntax.ISyntaxNode;
import org.openl.syntax.impl.NaryNode;
import com.openrules.lang.xls.IXlsNodeTypes;

/**
 * @author snshor
 *
 */
public class XlsModuleSyntaxNode extends NaryNode implements IXlsNodeTypes
{

	XlsOpenlSyntaxNode openlNode;

  /**
   * @param type
   * @param nodes
   * @param module
   */
  public XlsModuleSyntaxNode(
    ISyntaxNode[] nodes,
    IOpenSourceCodeModule module,
	XlsOpenlSyntaxNode openlNode)
  {
    super(XLS_MODULE, null, nodes, null, module);
    
    this.openlNode = openlNode;
  }


  /**
   * @return
   */
  public XlsOpenlSyntaxNode getOpenlNode()
  {
    return openlNode;
  }

}
