/*
 * Created on Oct 3, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.lang.xls.syntax;

import org.openl.IOpenSourceCodeModule;
import org.openl.syntax.impl.TerminalNode;
import org.openl.util.text.ILocation;
import com.openrules.lang.xls.IXlsNodeTypes;

/**
 * @author snshor
 *
 */
public class XlsOpenlSyntaxNode extends TerminalNode implements IXlsNodeTypes
{

	String openlName;

  /**
   * @param type
   * @param pos
   * @param module
   */
  public XlsOpenlSyntaxNode(
	  String openlName,
    ILocation pos,
    IOpenSourceCodeModule module)
  {
    super(XLS_OPENL, pos, module);
    this.openlName = openlName;
  }

  /**
   * @return
   */
  public String getOpenlName()
  {
    return openlName;
  }

}
