/*
 * Created on Sep 22, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.poi;

/**
 * @author snshor
 *
 */
public class SheetCell
{
	int x, y;

	public SheetCell(int x, int y)
	{
		this.x = x;
		this.y = y;
	}

	public boolean equals(Object obj)
	{
		if (obj == null || !(obj instanceof SheetCell))
			return false;

		SheetCell c = (SheetCell)obj;
		return x == c.x && y == c.y;
	}

	public int hashCode()
	{
		return (x * 37 + y) * 31;
	}
	
	public String toString()
	{
		return toString(x, y);
	}
	
	
	static public  String toString(int x, int y)
	{
		StringBuffer buf = new StringBuffer();
		int div = 'Z' - 'A' + 1;
		
		int xx = x;
		while(xx >= div)
		{
			int dd = xx/div;
			buf.append((char)('A' + dd - 1));
			xx -= dd * div;
		}

		buf.append((char)('A' + xx));

		
		buf.append(y+1);
		return buf.toString(); 
	}
	
}

