/*
 * Created on Oct 28, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.table;

/**
 * @author snshor
 * 
 * Logical Table may consist of logical columns and rows (created as a result of merged cells). 
 *
 */
public interface ILogicalTable
{
	/**
	 * @return underlying grid table
	 */

	IGridTable getGridTable();

	int getLogicalHeight();
	int getLogicalWidth();


	ILogicalTable getLogicalRow(int row);	
	ILogicalTable getLogicalColumn(int column);
	ILogicalTable getLogicalRegion(int column, int row, int width, int height);

	
	ILogicalTable rows(int from, int to);
	ILogicalTable columns(int from, int to);

	ILogicalTable rows(int from);
	ILogicalTable columns(int from);
	
	
	
	
	
	ILogicalTable transpose();

}
