/*
 * Created on Oct 7, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package com.openrules.table.syntax;

import org.openl.util.text.IPosition;
import org.openl.util.text.TextInfo;

import com.openrules.table.IGrid;

/**
 * @author snshor
 *
 */
public class GridPosition implements IPosition
{
		
	int x, y; 
	
	IGrid grid;
	 
	public GridPosition(int x, int y, IGrid grid)
	{
		this.x = x;
		this.y = y;
		this.grid = grid;
	}
	 
	/* (non-Javadoc)
	 * @see org.openl.util.text.IPosition#getAbsolutePosition(org.openl.util.text.TextInfo)
	 */
	public int getAbsolutePosition(TextInfo info)
	{
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
	 * @see org.openl.util.text.IPosition#getColumn(org.openl.util.text.TextInfo, int)
	 */
	public int getColumn(TextInfo info, int tabSize)
	{
		return x;
	}

	/* (non-Javadoc)
	 * @see org.openl.util.text.IPosition#getLine(org.openl.util.text.TextInfo)
	 */
	public int getLine(TextInfo info)
	{
		return y;
	}
    
	public String toString()
	{
		return grid.getCellUri(x, y);
	}

	/**
	 * @return
	 */
	public IGrid getGrid()
	{
		return grid;
	}

}
