package com.openrules.types;
/*
 * Copyright (C) 2007 OpenRules, Inc.
 */

/**
 * This type is used to represent arrays of strings in OpenRules Data tables
 */

public class ArrayString {
	
	String	id;
	String	value;
	
	static public String[] getValues(ArrayString[] array) {
		String[] result = new String[array.length];
		for(int i=0; i < array.length; i++)
			result[i] = array[i].value;
		return result;
	}
	
	static public String toString(ArrayString[] array) {
		StringBuffer buf = new StringBuffer(); 
		for(int i=0; i < array.length; i++) {
			if (i > 0)
				buf.append(",");
			buf.append(array[i].value);
		}
		return buf.toString();
	}

	static public String join(ArrayString[] array) {
		return toString(array);
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	
	

}
