package com.openrules.types;

/*
 * Copyright (c) 2007 OpenRules, Inc.
 */

/**
 * This interface is used by objects which attributes could be checked or unchecked
 * in the forms using standard method 
 *    checkButton(Checkable object, String attribute) - see Dialog.xls
 */

public interface Checkable {
	
	public boolean isChecked(String attribute);
	
	public void setChecked(String attribute, boolean flag);

}
