package com.openrules.types;
/*
 * Copyright (C) 2007 OpenRules, Inc.
 */

/**
 * This is a base class for DomainInt, DomainDouble, DomainString
 */

abstract public class DomainType {
	
	protected String domain;
	protected String[] array;
	
	public DomainType(String domain, String delim) {
		this.domain = domain.trim();
		array = this.domain.split(delim);
		for (int i = 0; i < array.length; i++) {
			array[i] = array[i].trim();
		}
	}

	abstract public boolean validate();
	
	public String toString() {
		return domain;
	}
	

}
