package com.openrules.types;

/*
 * Copyright (C) 2010 OpenRules, Inc.
 */

/**
 * This type is used to represent 2-dimensional arrays of integers 
 * in OpenRules Data tables 
 */

public class MatrixString {
	
	String		id;
	String[] 	values;
	
	static public String[][] getMatrix(MatrixString[] rows) {
		int numberOfColumns = rows[0].values.length;
		String[][] result = new String[rows.length][numberOfColumns];
		for(int i=0; i < rows.length; i++)
			result[i] = rows[i].values;
		return result;
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	
	public String[] getValues() {
		return values;
	}
	public void setValues(String[] values) {
		this.values = values;
	}
	
	

}
