/*
 * Created on Nov 10, 2004
 *
 * Developed by OpenRules Inc. 2003,2004
 */
package org.openl.syntax.impl;

import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * @author snshor
 *
 */
public class TokenizerParserTest extends TestCase
{

	/**
	 * Constructor for TokenizerParserTest.
	 * @param name
	 */
	public TokenizerParserTest(String name)
	{
		super(name);
	}

	public void testTokenize()
	{
		IdentifierNode[] idn =
		TokenizerParser.tokenize(new StringSourceCodeModule("vehicle   ", null), ". \n\r");
		
		Assert.assertEquals("vehicle", idn[0].getIdentifier());
		
		
	}

}
