/*
 * Created on Jul 8, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package org.openl.types.xml;

import org.openl.types.IOpenSchema;
import org.openl.types.impl.AOpenFactory;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;

/**
 * @author snshor
 *
 */
public class DOMOpenFactory extends AOpenFactory
{

  /* (non-Javadoc)
   * @see org.openl.types.impl.AOpenFactory#loadSchema(java.lang.String)
   */
  public IOpenSchema loadSchema(String uri)
  	throws Exception
  {
  	InputSource input = new InputSource( getDataSourceFactory().fromString(uri).getReader() );
  	
  	Document doc = DomUtil.getDocument(input);
  	
    return new DOMOpenSchema(this, doc);
  }
  
}
