/*
 * Created on Jun 3, 2003
 *
 * Developed by Intelligent ChoicePoint Inc. 2003
 */
 
package org.openl.binding.impl;

/**
 * @author snshor
 * 
 * 08/21/2005: JF fixed an error in "ne" operators for longs and doubles 
 * 01/31/2006: added cast from long to double
 *
 */
public class Operators
{
	
	static public int add(int x, int y)
	{
		return x + y;
	}
	
	static public int multiply(int x, int y)
	{
		return x * y;
	}
	
	static public long multiply(long x, long y)
	{
		return x * y;
	}
	
	static public long multiply(int x, long y) // JF
	{
		return x * y;
	}
	
	static public long multiply(long x, int y) // JF
	{
		return x * y;
	}
	
	static public double multiply(double x, double y)
	{
		return x * y;
	}
	
	static public double add(double x, double y)
	{
		return x + y;
	}
	
	static public long add(long x, long y)
	{
		return x + y;
	}
	
	static public long add(int x, long y)
	{
		return x + y;
	}
	
	static public long add(long x, int y)
	{
		return x + y;
	}
	

	static public double autocast(int x, double y)
	{
		return x;
	}
	
	static public double autocast(long x, double y)  // JF
	{
		return x;
	}

	static public long autocast(int x, long y)
	{
		return x;
	}

	static public int cast(long x, int y)
	{
		return (int)x;
	}
	
	static public long cast(int x, long y)
	{
		return (long)x;
	}

	static public int cast(double x, int y)
	{
		return (int)x;
	}
	
	static public double cast(long x, double y) // JF
	{
		return (double)x;
	}



	static public boolean lt(double x, double y)
	{
		return x < y;
	}


	static public boolean gt(double x, double y)
	{
		return x > y;
	}
	
	static public boolean gt(int x, int y)
	{
		return x > y;
	}
	
	static public boolean gt(long x, long y)
	{
		return x > y;
	}
	
	static public boolean ge(double x, double y)
	{
		return x >= y;
	}

	static public boolean ge(int x, int y)
	{
		return x >= y;
	}

	static public boolean ge(long x, long y)
	{
		return x >= y;
	}

	static public boolean ge(long x, int y)
	{
		return x >= y;
	}
	
	static public boolean ge(int x, long y)
	{
		return x >= y;
	}

	static public boolean lt(long x, long y)
	{
		return x < y;
	}
	
	static public boolean lt(long x, int y)
	{
		return x < y;
	}
	
	static public boolean lt(int x, long y)
	{
		return x < y;
	}
	
	static public int subtract(int x, int y)
	{
		return x - y;
	}
	
	static public double subtract(double x, double y)
	{
		return x - y;
	}
	
	static public long subtract(long x, long y)
	{
		return x - y;
	}
	
	static public long subtract(int x, long y)
	{
		return x - y;
	}
	
	static public long subtract(long x, int y)
	{
		return x - y;
	}
	
	static public int negative(int x)
	{
		return -x;
	}

	static public double negative(double x)
	{
		return -x;
	}


	static public long negative(long x)
	{
		return -x;
	}
	
	static public double divide(double x, double y)
	{
		return x/y;
	}
	
	static public int divide(int x, int y)
	{
		return x/y;
	}
	
	static public long divide(long x, long y)
	{
		return x/y;
	}
	
	static public long divide(long x, int y)
	{
		return x/y;
	}
	
	static public long divide(int x, long y)
	{
		return x/y;
	}
	
	/*
	 * added by JF on 02/24/2005 - OpenRules
	 */
	static public int rem(int x, int y)
	{
		return x % y;
	}
	
	
	public static boolean lt(int x, int y)
	{
		return x < y;
	}

	public static long inc(long x)
	{
		return x + 1;
	}

	public static long dec(long x)
	{
		return x - 1;
	}



	public static int inc(int x)
	{
		return x + 1;
	}

	public static int dec(int x)
	{
		return x - 1;
	}

	public static double inc(double x)
	{
		return x + 1;
	}

	public static double dec(double x)
	{
		return x - 1;
	}


	public static String add(String x, String y)
	{
		return x + y;
	}

	public static String add(String x, boolean y)
	{
		return x + y;
	}


	public static String add(Object x, String y)
	{
		return x + y;
	}
	
	
	
	public static String add(String x, Object y)
	{
		return x + y;
	}
	

	public static String add(String x, int y)
	{
		return x + y;
	}
	
	public static String add(String x, double y)
	{
		return x + y;
	}
	
	public static String add(String x, long y)
	{
		return x + y;
	}
	
	public static String add(String x, char y)
	{
		return x + y;
	}
	


	
	public static boolean ne(Object x, Object y)
	{
		return x != y;
	}
	
	public static boolean and(boolean x, boolean y)
	{
		return x && y;
	}
	
	public static boolean or(boolean x, boolean y)
	{
		return x || y;
	}
	
	public static boolean xor(boolean x, boolean y)
	{
		return x ^ y;
	}
	
	public static boolean le(int x, int y)
	{
		return x <= y;
	}
	
	public static boolean le(double x, double y)
	{
		return x <= y;
	}
	
	public static boolean le(long x, long y)
	{
		return x <= y;
	}
	
	public static boolean le(long x, int y)
	{
		return x <= y;
	}
	
	public static boolean le(int x, long y)
	{
		return x <= y;
	}
	
	public static boolean eq(boolean x, boolean y)
	{
		return x == y;
	}
	
	public static boolean eq(int x, int y)
	{
		return x == y;
	}
	
	public static boolean eq(long x, long y)
	{
		return x == y;
	}
	
	public static boolean eq(long x, int y)
	{
		return x == y;
	}
	
	public static boolean eq(int x, long y)
	{
		return x == y;
	}
	

	public static boolean ne(long x, long y)
	{
		return x != y; // JF fixed an error 08/21/2005: used to be x==y 
	}
	
	public static boolean ne(long x, int y)
	{
		return x != y; 
	}
	
	public static boolean ne(int x, long y)
	{
		return x != y; 
	}

	public static boolean ne(int x, int y)
	{
		return x != y;
	}
	

	public static boolean eq(double x, double y)
	{
		return x == y;
	}
	
	public static boolean ne(double x, double y)
	{
		return x != y; // JF fixed an error 08/21/2005: used to be x==y 
	}
	


	public static boolean eq(Object x, Object y)
	{
		return x == y;
	}
	
	public static boolean not(boolean x)
	{
		return !x;
	}
	


}
