package org.openl.util;

/*
 * Copyright (C) 2006 OpenRules, Inc.
 * 
 * Created on Sep-2006 by IK
 * 
 */

/**
 * MessageException serves as a message carrier ( TraceStack is not created for this exception )
 * 
 */
public class MessageException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	public MessageException() {
		super();
	}

	public MessageException(String message, Throwable cause) {
		super(message, cause);
	}

	public MessageException(String message) {
		super(message);
	}

	public MessageException(Throwable cause) {
		super(cause);
	}

	public synchronized Throwable fillInStackTrace() {
		return this;
	}
	

}
